package basicsWidgets;
import org.eclipse.swt.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.events.*;

public class ListDemo {

	public static Display listDisplay;
	public static boolean internalCall = false;

	public static void main(String[] args) {
		internalCall = true;
		listDisplay = new Display();
		ListDemo ld = new ListDemo();
		ld.runDemo(listDisplay);
	}

	public void runDemo(Display display) {
		listDisplay = display;
		Shell shell = new Shell(display);
		shell.setSize(300,300);
		shell.setText("List Demo");

		List list1 = new List(shell, SWT.MULTI|SWT.H_SCROLL);
		list1.setItems(new String[] {"Paul Horn - Mantra I - Meditation Inside The Taj Mahal","Lucia Di Lammermoor","Nitin Sawhny - Nadia"});
		list1.add("Jeff Beck - Nadia");
		list1.setBounds(10,0,360,80);

		final List list2 = new List(shell, SWT.SINGLE|SWT.BORDER);
		list2.setItems(new String[] {"Paxmal","Emma Kunz Grotte","Ermitage von Arlesheim"});
		list2.setBounds(10,100,300,150);
		list2.addMouseListener(new MouseAdapter() {
			public void mouseDown(MouseEvent e) {
				System.out.println(list2.getSelection()[0] + " wurde ausgewhlt");
			}
			public void mouseUp(MouseEvent e) {
				System.out.println("Versuchen Sie's nochmal!");
			}
		});

		shell.open();

		while(!shell.isDisposed()){
		if(!display.readAndDispatch())
			display.sleep();
		}
		if (internalCall) display.dispose();
	}
}
